using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using BookShopOnline.Bll;
using BookShopOnline.Model;

public partial class Controls_OrderInfo : System.Web.UI.UserControl
{

    protected void Page_Load(object sender, EventArgs e)
    {

    }

    public void BindOrderInfo(string orderID)
    {
        DataSet ds = new OrdersBll().SelectOrdersByOrderID(orderID);
        FormView1.DataSource = ds;
        FormView1.DataBind();

        if (ds != null && ds.Tables[0].Rows.Count > 0)
        {
            _HasNotPayedPrice = Convert.ToDecimal(ds.Tables[0].Rows[0]["HasNotPayedPrice"]);
            _TipID = Convert.ToInt32(ds.Tables[0].Rows[0]["TipID"]);
        }
    }

    private decimal _HasNotPayedPrice;
    public decimal HasNotPayedPrice
    {
        get { return _HasNotPayedPrice; }
        set { _HasNotPayedPrice = value; }
    }

    private int _TipID;
    public int TipID
    {
        get { return _TipID; }
        set { _TipID = value; }
    }
}
